--- old/usr/src/lib/libm/common/m9x/modfl.c	2019-06-06 20:40:27.842269173 +0000
+++ new/usr/src/lib/libm/common/m9x/modfl.c	2019-06-06 20:40:27.859791260 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -32,29 +33,32 @@
 #include "libm.h"
 
 #if defined(__sparc)
-
 long double
-__modfl(long double x, long double *iptr) {
+__modfl(long double x, long double *iptr)
+{
 	union {
 		unsigned i[4];
 		long double q;
 	} xx, yy;
+
 	unsigned hx, s;
 
 	xx.q = x;
 	hx = xx.i[0] & ~0x80000000;
 
-	if (hx >= 0x406f0000) {	/* x is NaN, infinite, or integral */
+	if (hx >= 0x406f0000) {		/* x is NaN, infinite, or integral */
 		*iptr = x;
-		if (hx < 0x7fff0000 || (hx == 0x7fff0000 &&
-			(xx.i[1] | xx.i[2] | xx.i[3]) == 0)) {
+
+		if (hx < 0x7fff0000 || (hx == 0x7fff0000 && (xx.i[1] | xx.i[2] |
+		    xx.i[3]) == 0)) {
 			xx.i[0] &= 0x80000000;
 			xx.i[1] = xx.i[2] = xx.i[3] = 0;
 		}
+
 		return (xx.q);
 	}
 
-	if (hx < 0x3fff0000) {	/* |x| < 1 */
+	if (hx < 0x3fff0000) {		/* |x| < 1 */
 		xx.i[0] &= 0x80000000;
 		xx.i[1] = xx.i[2] = xx.i[3] = 0;
 		*iptr = xx.q;
@@ -63,6 +67,7 @@
 
 	/* split x at the binary point */
 	s = xx.i[0] & 0x80000000;
+
 	if (hx < 0x40100000) {
 		yy.i[0] = xx.i[0] & ~((1 << (0x400f - (hx >> 16))) - 1);
 		yy.i[1] = yy.i[2] = yy.i[3] = 0;
@@ -81,6 +86,7 @@
 		yy.i[2] = xx.i[2];
 		yy.i[3] = xx.i[3] & ~((1 << (0x406f - (hx >> 16))) - 1);
 	}
+
 	*iptr = yy.q;
 
 	/*
@@ -92,15 +98,15 @@
 	xx.i[0] = (xx.i[0] & ~0x80000000) | s;	/* keep sign of x */
 	return (xx.q);
 }
-
 #elif defined(__x86)
-
 long double
-__modfl(long double x, long double *iptr) {
+__modfl(long double x, long double *iptr)
+{
 	union {
 		unsigned i[3];
 		long double e;
 	} xx, yy;
+
 	unsigned hx, s;
 
 	/*
@@ -110,17 +116,19 @@
 	xx.e = x;
 	hx = xx.i[2] & 0x7fff;
 
-	if (hx >= 0x403e) {	/* x is NaN, infinite, or integral */
+	if (hx >= 0x403e) {		/* x is NaN, infinite, or integral */
 		*iptr = x;
-		if (hx < 0x7fff || (hx == 0x7fff &&
-			((xx.i[1] << 1) | xx.i[0]) == 0)) {
+
+		if (hx < 0x7fff || (hx == 0x7fff && ((xx.i[1] << 1) |
+		    xx.i[0]) == 0)) {
 			xx.i[2] &= 0x8000;
 			xx.i[1] = xx.i[0] = 0;
 		}
+
 		return (xx.e);
 	}
 
-	if (hx < 0x3fff) {	/* |x| < 1 */
+	if (hx < 0x3fff) {		/* |x| < 1 */
 		xx.i[2] &= 0x8000;
 		xx.i[1] = xx.i[0] = 0;
 		*iptr = xx.e;
@@ -130,6 +138,7 @@
 	/* split x at the binary point */
 	s = xx.i[2] & 0x8000;
 	yy.i[2] = xx.i[2];
+
 	if (hx < 0x401f) {
 		yy.i[1] = xx.i[1] & ~((1 << (0x401e - hx)) - 1);
 		yy.i[0] = 0;
@@ -137,12 +146,12 @@
 		yy.i[1] = xx.i[1];
 		yy.i[0] = xx.i[0] & ~((1 << (0x403e - hx)) - 1);
 	}
+
 	*iptr = yy.e;
 	xx.e -= yy.e;
 	xx.i[2] = (xx.i[2] & ~0x8000) | s;	/* keep sign of x */
 	return (xx.e);
 }
-
 #else
 #error Unknown architecture
 #endif
